/* herencia de estilos */
@import '../../app.component.css';

table{
    width: 100%;
}
.tk-table{
    width: 50%;
    margin: 0 auto;
    text-align: center;
}
.tk-table .responsive{
    text-align: center;
    background-color: #000000bf;
    padding: 2% 10%;
    box-shadow: 0px 0px 20px 4px black;
}
thead{
    font-size: 1.5em;
}
tbody{
    font-size: 80%;
    font-weight: bold;
    background-color: #fafafa;
    color: black;
}
table tr td{
    border: 1px black solid;
}
table tr td img{
    width: 50%;
}
table tr th{
    border: 1px black solid;
    background-color: black;
    color: red;
}
.grid{
    display: grid;
    grid-template-columns: 50% 50%;
}
button{
    background-color: #2196f3;
    color: white;
    border: 0;
    border-radius: 10px;
    font-size: 1em;
    padding: 4px 10px;
}
.btn{
    background-color: #ffeb3b;
    box-shadow: 0px 0px 10px 2px black;
    color: black;
    font-weight: bold;
    padding: 10px 30px;
    cursor: pointer;
}
select{
    background-color: #3f51b5;
    color: white;
    border: 0;
    padding: 4px 30px;
    border-radius: 20px;
}
.tk-list{
    background-color: #f44336;
    color: white;
    padding: 4% 0;
}
@media screen and (max-width:700px) {
    .tk-table {
        width: 100%;
        margin: 0 auto;
        text-align: center;
    }    
    button{
        border-radius: 4px;
        font-size: 0.7em;
        padding: 10px 10px;
    }
    .tk-table .responsive {
        background-color: #00000000;
        box-shadow: 0px 0px 0px 0px black;
    }
    .btn {
        box-shadow: 0px 0px 10px 1px black;
        padding: 4px 10px;
    }
    select {
        font-size: 60%;
        padding: 1px 10px;
        border-radius: 20px;
    }
}
@media screen and (min-width:700px) and (max-width:1300px) {
    .tk-table {
        width: 80% !important;
    }
}